=== src/qml/CMakeLists.txt ===
###
#  Copyright 2013  Andreas Cord-Landwehr <cordlandwehr@kde.org>
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#
#  1. Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#  2. Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
#
#  THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
#  IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
#  OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
#  IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
#  INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
#  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
#  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
#  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
#  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
#  THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
###

set(artikulate_qml_files
    Main.qml
    Editor.qml
    Trainer.qml

    TrainerOverviewScreen.qml
    TrainerCourse.qml
    TrainerSessionScreen.qml
    TrainerProgressBar.qml
    TrainerCourseStatistics.qml

    EditorSelector.qml

    CourseSelector.qml
    CourseSwitcher.qml
    LanguageSelector.qml
    LanguageSwitcher.qml
    UnitSelector.qml
    UnitEditor.qml
    PhraseEditor.qml
    PhraseEditorSoundComponent.qml
    PhraseEditorTypeComponent.qml
    PhraseEditorEditStateComponent.qml
    PhonemeUnitSelector.qml
    ProfileDetailsItem.qml
    ProfileDetailsViewUser.qml
    ProfileDetailsViewFavorites.qml
    ProfileSelector.qml
    SkeletonSelector.qml
    SoundPlayer.qml
    SoundRecorder.qml

    CheckListItem.qml
    ListItem.qml
    SheetDialog.qml
)

install(FILES ${artikulate_qml_files} DESTINATION ${DATA_INSTALL_DIR}/artikulate/qml)
