=== debian/changelog ===
artikulate (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 21:32:21 +0100

artikulate (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:03:53 +0200

artikulate (4:4.12.95-0ubuntu1) trusty; urgency=medium

  [ Rohan Garg ]
  * New upstream beta release

  [ Philip Muškovac ]
  * Drop upstream_add-library-versions.diff, applied upstream

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 11:51:01 +0100

artikulate (4:4.12.90-0ubuntu1) trusty; urgency=medium

  [ Jonathan Riddell ]
  * New upstream beta release

  [ Philip Muškovac ]
  * Use dhmk 
  * Move the libraries from artikulate-dev to artikulate as the libs are not
    just dev symlinks and drop artikulate-dev as it's now empty
  * Add da9a92aca3a7af07feb8bde506129fb9314f9e60 as
    upstream_add-library-versions.diff so the libraries are properly versioned
  * Override package-name-doesnt-match-sonames for artikulate as the libs are
    private

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 10:29:51 +0000

artikulate (0.2.0-0ubuntu1) trusty; urgency=medium

  * New upstream release
    - Update install files
    - Update symbols

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 12 Mar 2014 11:37:03 +0100

artikulate (0.1.0-0ubuntu1) trusty; urgency=low

  * Initial release. (LP: #1208021) 

 -- Howard Chan <smartboyhw@gmail.com>  Sat, 03 Aug 2013 23:47:00 +0800
