=== debian/control ===
Source: artikulate
Section: education
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Howard Chan <smartboyhw@gmail.com>
Build-Depends: debhelper (>= 9), cmake, kde-sc-dev-latest, pkg-kde-tools,
               kdelibs5-dev (>= 4:4.13.0), qtmobility-dev, libqtmultimediakit1
Standards-Version: 3.9.4
Homepage: https://projects.kde.org/projects/playground/edu/artikulate

Package: artikulate
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 qtdeclarative4-kqtquickcharts-1 (>= 4:4.12.90)
Description: Language learning application
 Artikulate is a language learning application that helps improving
 pronunciation skills for various languages. This is included in the
 KDE Education project.
 .
 This package contains the main application for Artikulate.

Package: artikulate-dbg
Section: debug
Architecture: any
Depends: artikulate, ${misc:Depends}
Description: Debugging symbols for Artikulate
 Artikulate is a language learning application that helps improving
 pronunciation skills for various languages.This is included in the
 KDE Education project.
 .
 This package contains the debugging symbols for Artikulate.
