## artikulate 4.13.2

=== debian/changelog ===
artikulate (4:4.13.2-0ubuntu1) utopic; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jun 2014 11:37:50 +0100
