=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Howard Chan <smartboyhw@gmail.com>
 Build-Depends: debhelper (>= 9), cmake, kde-sc-dev-latest, pkg-kde-tools,
-               kdelibs5-dev (>= 4:4.13.0), qtmobility-dev, libqtmultimediakit1
+               kdelibs5-dev (>= 4:4.13.2), qtmobility-dev, libqtmultimediakit1
 Standards-Version: 3.9.4
 Homepage: https://projects.kde.org/projects/playground/edu/artikulate
