=== src/CMakeLists.txt ===
--- 
+++ 
@@ -24,7 +24,7 @@
 ###
 set(ARTIKULATE_VERSION_MAJOR 0)
 set(ARTIKULATE_VERSION_MINOR 3)
-set(ARTIKULATE_VERSION_PATCH 0)
+set(ARTIKULATE_VERSION_PATCH 2)
 
 find_package(KDeclarative REQUIRED)
 find_package(QtMobility COMPONENTS MultimediaKit QUIET)
