=== debian/watch ===
version=3
http://download.kde.org/unstable/artikulate/([\d\.].+)/src artikulate-([\d\.]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
