## artikulate 14.12.2

=== debian/changelog ===
artikulate (4:14.12.2-0ubuntu1) vivid; urgency=medium

  [ Scarlett Clark ]
  * New upstream release

  [ José Manuel Santamaría Lema ]
  * Bump build depend on libqtgstreamer-dev to 1.2.0

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 08:53:09 -0800

artikulate (4:14.12.0-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove kdelibs5-dev depend version as there was not a new release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 16:20:52 +0100

artikulate (4:14.11.97-0ubuntu1) vivid; urgency=medium

  * New upstream release candidate
    - build-depend on extra-cmake-modules
    - add new files to artikulate.install, docs and not-installed
    - update artikulate.lintian-overrides for an added file
  * Import Packaging into Debian Git
  * PPA build

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 28 Nov 2014 19:53:37 +0100

artikulate (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 02:29:46 -0700

artikulate (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 12:25:22 +0200

artikulate (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 16:01:55 +0200

artikulate (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 17:19:14 +0200

artikulate (4:4.13.90-0ubuntu1) utopic; urgency=medium

  * New upstream beta release
  * Add libqtgstreamer-dev as a build depend

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 17 Jul 2014 10:23:53 -0700
