=== debian/control ===
Source: artikulate
Section: education
Priority: extra
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules,
               kde-sc-dev-latest,
               kdelibs5-dev,
               libqtgstreamer-dev (>= 1.2.0),
               libqtmultimediakit1,
               pkg-kde-tools,
               qtmobility-dev
Standards-Version: 3.9.4
Homepage: https://edu.kde.org/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/artikulate.git/
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/artikulate.git

Package: artikulate
Architecture: any
Depends: qtdeclarative4-kqtquickcharts-1 (>= 4:4.12.90),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Language learning application
 Artikulate is a language learning application that helps improving
 pronunciation skills for various languages. This is included in the
 KDE Education project.
 .
 This package contains the main application for Artikulate.

Package: artikulate-dbg
Section: debug
Architecture: any
Depends: artikulate, ${misc:Depends}
Description: Debugging symbols for Artikulate
 Artikulate is a language learning application that helps improving
 pronunciation skills for various languages.This is included in the
 KDE Education project.
 .
 This package contains the debugging symbols for Artikulate.
