=== debian/watch ===
version=3
http://download.kde.org/unstable/applications/([\d\.].+)/src artikulate-([\d\.]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
http://download.kde.org/stable/applications/([\d\.].+)/src artikulate-([\d\.]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
