## artikulate 15.08.2

=== debian/changelog ===
artikulate (4:15.08.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 11:46:54 +0100

artikulate (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 16:03:51 +0100

artikulate (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 26 Aug 2015 16:54:06 +0100

artikulate (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 18:19:59 +0200

artikulate (4:14.12.3-0ubuntu1) UNRELEASED; urgency=medium

  * Add back in kdelibs5 parent version depend. 
  * kdelibs is actually in the 4.14 series. Adjust version. 
  * New upstream release. 
  * Fix version..

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 20 Feb 2015 11:03:44 -0800
