=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
                debhelper (>= 9),
                extra-cmake-modules,
                kde-sc-dev-latest,
-               kdelibs5-dev,
+               kdelibs5-dev (>= 4:4.14),
                libqtgstreamer-dev (>= 1.2.0),
                libqtmultimediakit1,
                pkg-kde-tools,
                qtmobility-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Homepage: https://edu.kde.org/
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/artikulate.git/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/artikulate.git
