=== src/qml/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 ###
-#  Copyright 2013  Andreas Cord-Landwehr <cordlandwehr@kde.org>
+#  Copyright 2013-2015  Andreas Cord-Landwehr <cordlandwehr@kde.org>
 #
 #  Redistribution and use in source and binary forms, with or without
 #  modification, are permitted provided that the following conditions
@@ -25,23 +25,18 @@
 
 set(artikulate_qml_files
     Main.qml
-    Editor.qml
-    Trainer.qml
-
-    TrainerOverviewScreen.qml
-    TrainerCourse.qml
+ 
     TrainerSessionScreen.qml
     TrainerProgressBar.qml
     TrainerCourseStatistics.qml
 
-    EditorSelector.qml
-
-    CourseSelector.qml
+    Editor.qml
     CourseSwitcher.qml
-    LanguageSelector.qml
     LanguageSwitcher.qml
-    UnitSelector.qml
-    UnitEditor.qml
+    FlatButton.qml
+    MainMenuBar.qml
+    MainToolBar.qml
+    NewUserWelcome.qml
     PhraseEditor.qml
     PhraseEditorSoundComponent.qml
     PhraseEditorTypeComponent.qml
@@ -51,9 +46,9 @@
     ProfileDetailsViewUser.qml
     ProfileDetailsViewFavorites.qml
     ProfileSelector.qml
-    SkeletonSelector.qml
     SoundPlayer.qml
     SoundRecorder.qml
+    UnitEditor.qml
 
     CheckListItem.qml
     ListItem.qml
