=== debian/changelog ===
artikulate (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * This application is now kf5 adding stable/unstable branches. 
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 14:48:29 -0700

artikulate (4:15.12.1-0ubuntu2) xenial; urgency=medium

  [ Pino Toscano ]
  * Remove unused libqtmultimediakit1 and qtmobility-dev build dependencies.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 10 Mar 2016 09:32:36 +0100

artikulate (4:15.12.1-0ubuntu1) xenial; urgency=medium

  [ Clive Johnston ]
  * New upstream release
  * Adding new build dependencies
  * Disabled autotests completely due to problems upstream
  * Fixed the install file
  * Adding W: artikulate: package-name-doesnt-match-sonames 
    libartikulatecore0 libartikulatelearnerprofile0 libartikulatesound0
    to lintian-errors file

  [ Philip Muškovac ]
  * Update qml depends for the qt5 release

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 10:21:06 +0100

artikulate (4:15.08.3-1) experimental; urgency=medium

  * New upstream release (15.08.3).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 02 Dec 2015 12:38:42 +0100

artikulate (4:15.08.0-1) experimental; urgency=medium

  * New upstream release (15.04.0).
  * New upstream release (15.04.1).
  * New upstream release (15.04.2).

  [ Pino Toscano ]
  * Remove unused libqtmultimediakit1 and qtmobility-dev build dependencies.

  [ Maximiliano Curia ]
  * New upstream release (15.08.0).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 19 Sep 2015 19:13:46 +0200

artikulate (4:14.12.3-1) experimental; urgency=medium

  * New upstream release (14.12.3).

 -- Maximiliano Curia <maxy@debian.org>  Sun, 29 Mar 2015 15:13:19 +0200

artikulate (4:14.12.2-1) experimental; urgency=medium

  [ Scarlett Clark ]
  * Add back in kdelibs5 parent version depend.
  * kdelibs is actually in the 4.14 series. Adjust version.

  [ Maximiliano Curia ]
  * Prepare initial Debian release.
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 24 Feb 2015 15:03:35 +0100
