=== debian/control ===
Source: artikulate
Section: education
Priority: extra
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules,
               kdoctools-dev,
               libkf5config-dev,
               libkf5configwidgets-dev,
               libkf5crash-dev,
               libkf5declarative-dev,
               libkf5i18n-dev,
               libkf5newstuff-dev,
               libkf5widgetsaddons-dev,
               libkf5xmlgui-dev,
               libqt5gstreamer-dev,
               libqt5xmlpatterns5-dev,
               pkg-kde-tools,
               qtbase5-dev,
               pkg-kde-tools,
Standards-Version: 3.9.6
Homepage: https://edu.kde.org/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/artikulate.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/artikulate.git

Package: artikulate
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         qml-module-org-kde-kquickcontrolsaddons,
Description: Language learning application
 Artikulate is a language learning application that helps improving
 pronunciation skills for various languages. This is included in the
 KDE Education project.
 .
 This package contains the main application for Artikulate.

Package: artikulate-dbg
Section: debug
Architecture: any
Depends: artikulate, ${misc:Depends}
Description: Debugging symbols for Artikulate
 Artikulate is a language learning application that helps improving
 pronunciation skills for various languages.This is included in the
 KDE Education project.
 .
 This package contains the debugging symbols for Artikulate.
