=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=artikulate-dbg

override_dh_auto_test:
	:
	# Tests disabled as they don't work
